Subject: Re: autoheader (mv/exec) problem
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Tue, 31 Oct 2000 10:07:01 -0500

On Wed, Aug 23, 2000 at 11:19:24PM -0400, Jason Tishler wrote:
> When running autoheader, I kept getting error messages like the
> following:
> 
>     mv: cannot move `autoh16138' to `config.h.in': Permission denied
> 
> But after autoheader exited, I could successfully execute:
> 
>     mv autoh16138 config.h.in
> 
> without any problems.
> 
> By reading the (shell script) source to autoheader, I determined that
> the problem has to do with trying to move a file when it is still open
> -- which is no surprise since Cygwin is sitting on top of Windows...
> 
> The attached shell script exhibits the above problem on Cygwin but works
> on Linux.  I'm not sure if this one is fixable...

Just in case someone is still interested, I have more information
regarding this problem.  The move problem only occurs on shares (i.e.,
CIFS) and not on local (i.e. NTFS) file systems.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]